attribute vec4 a_vertex;

uniform mat3 u_coordMat;
uniform mat4 u_camMat;

varying vec2 coord;

void main()
{
    vec3 ccc = u_coordMat * vec3(a_vertex.xy, 1.);
    vec2 cc = vec2(.5, .5) * ccc.xy + vec2(.5);
    coord = (u_camMat * vec4(cc, 0., 1.)).xy;
    gl_Position = a_vertex;
}