#version 100
#extension GL_OES_EGL_image_external : require

precision mediump float;

uniform samplerExternalOES u_tex;
uniform mat4 u_colMat;
uniform vec4 u_colAdd;
uniform float u_alpha;

varying vec2 coord;

void main()
{
    vec4 col = u_colMat * texture2D(u_tex, coord) + u_colAdd;
    gl_FragColor = u_alpha * col;
}